<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.openxml4j.opc (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.openxml4j.opc (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/internal/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/opc/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.openxml4j.opc</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/openxml4j/opc/PackageNamespaces.html"
                                            title="interface in org.apache.poi.openxml4j.opc">PackageNamespaces</a></td>
                    <td class="colLast">
                        <div class="block">Open Packaging Convention namespaces URI.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html"
                                            title="interface in org.apache.poi.openxml4j.opc">PackageProperties</a></td>
                    <td class="colLast">
                        <div class="block">Represents the core properties of an OPC package.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipTypes.html"
                            title="interface in org.apache.poi.openxml4j.opc">PackageRelationshipTypes</a></td>
                    <td class="colLast">
                        <div class="block">Relationship types.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/openxml4j/opc/RelationshipSource.html"
                                            title="interface in org.apache.poi.openxml4j.opc">RelationshipSource</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/openxml4j/opc/ContentTypes.html"
                                            title="class in org.apache.poi.openxml4j.opc">ContentTypes</a></td>
                    <td class="colLast">
                        <div class="block">Open Packaging Convention content types (see Annex F : Standard Namespaces
                            and Content Types).
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                            title="class in org.apache.poi.openxml4j.opc">OPCPackage</a></td>
                    <td class="colLast">
                        <div class="block">Represents a container that can store multiple data objects.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                            title="class in org.apache.poi.openxml4j.opc">PackagePart</a></td>
                    <td class="colLast">
                        <div class="block">Provides a base class for parts stored in a Package.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/openxml4j/opc/PackagePartCollection.html"
                            title="class in org.apache.poi.openxml4j.opc">PackagePartCollection</a></td>
                    <td class="colLast">
                        <div class="block">A package part collection.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                            title="class in org.apache.poi.openxml4j.opc">PackagePartName</a></td>
                    <td class="colLast">
                        <div class="block">An immutable Open Packaging Convention compliant part name.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                            title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a></td>
                    <td class="colLast">
                        <div class="block">A part relationship.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html"
                            title="class in org.apache.poi.openxml4j.opc">PackageRelationshipCollection</a></td>
                    <td class="colLast">
                        <div class="block">Represents a collection of PackageRelationship elements that are owned by a
                            given PackagePart or the Package.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/openxml4j/opc/PackagingURIHelper.html"
                                            title="class in org.apache.poi.openxml4j.opc">PackagingURIHelper</a></td>
                    <td class="colLast">
                        <div class="block">Helper for part and pack URI.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/openxml4j/opc/StreamHelper.html"
                                            title="class in org.apache.poi.openxml4j.opc">StreamHelper</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/openxml4j/opc/ZipPackage.html"
                                            title="class in org.apache.poi.openxml4j.opc">ZipPackage</a></td>
                    <td class="colLast">
                        <div class="block">Physical zip package.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/openxml4j/opc/ZipPackagePart.html"
                                            title="class in org.apache.poi.openxml4j.opc">ZipPackagePart</a></td>
                    <td class="colLast">
                        <div class="block">Zip implementation of a PackagePart.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/openxml4j/opc/CertificateEmbeddingOption.html"
                            title="enum in org.apache.poi.openxml4j.opc">CertificateEmbeddingOption</a></td>
                    <td class="colLast">
                        <div class="block">Specifies the location where the X.509 certificate that is used in signing is
                            stored.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/openxml4j/opc/PackageAccess.html"
                                            title="enum in org.apache.poi.openxml4j.opc">PackageAccess</a></td>
                    <td class="colLast">
                        <div class="block">Specifies package access.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/openxml4j/opc/TargetMode.html"
                                            title="enum in org.apache.poi.openxml4j.opc">TargetMode</a></td>
                    <td class="colLast">
                        <div class="block">Specifies whether the target of a PackageRelationship is inside or outside a
                            Package.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/internal/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/opc/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
